import { Animation, AnimationOptions } from '../animations/animation';
import { ViewController } from '../navigation/view-controller';
export declare class Transition extends Animation {
    enteringView: ViewController;
    leavingView: ViewController;
    _trnsStart: Function;
    parent: Transition;
    hasChildTrns: boolean;
    trnsId: number;
    constructor(enteringView: ViewController, leavingView: ViewController, opts: AnimationOptions, raf?: Function);
    init(): void;
    registerStart(trnsStart: Function): void;
    start(): void;
    destroy(): void;
    static createTransition(transitionName: string, enteringView: ViewController, leavingView: ViewController, opts: AnimationOptions): Transition;
    static register(name: string, TransitionClass: any): void;
}
